## wxSysColourChangedEvent

This class is used for system colour change events, which are generated when the user changes the colour settings using the control panel. This is only appropriate under Windows.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a system colour changed event, use this event handler macro to direct input to a member function that takes a wxSysColourChanged argument.

EVT_SYS_COLOUR_CHANGED(func) | Process a wxEVT_SYS_COLOUR_CHANGED event.

Remarks

The default event handler for this event propagates the event to child windows, since Windows only sends the events to top-level windows. If intercepting this event for a top-level window, remember to call the base class handler, or to pass the event on to the window's children explicitly.

See also

Event handling overview

Members

wxSysColourChangedEvent::wxSysColourChanged

### wxSysColourChangedEvent::wxSysColourChanged

wxSysColourChanged()

Constructor.